import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.metrics import accuracy_score
from diffprivlib.models import LogisticRegression

def run_diffprivlib_baseline(X, y, epsilon, test_size=0.2, random_state=42):
    X_train, X_test, y_train, y_test = train_test_split(
        X, y, test_size=test_size, random_state=random_state
    )
    clf = LogisticRegression(epsilon=epsilon, random_state=random_state)
    clf.fit(X_train, y_train)
    y_pred = clf.predict(X_test)
    acc = accuracy_score(y_test, y_pred)
    return acc